Page MenuHomePhabricator

Create a "release pipeline" for Wikibase extension
Closed, ResolvedPublic

Description

As a Wikibase Release manager I want to be able to publish a release of the Wikibase extension so that it can be installed by the user.

This is about creating the initial "pipeline" that generates the release artifacts (tarball and docker container image) including Wikibase extension.
Compatible MediaWiki version is also released together in the container container format.

The "pipeline" is going to be gradually and iteratively extended, to publish releases of broader scope of software components.

Acceptance criteria

  • Release artifacts of the arbitrary version (git commit) of Wikibase extension are published
    • as a tarball/zip
    • as a docker container image
  • Code to be published is automatically tested prior to publishing
  • Decision, including its rationale, on the scope of the automated testing of the code to be published has been documented as in the repo: https://github.com/wmde/wikibase-release-prototype
  • Version of Mediawiki compatible with the published version of Wikibase is determine and made visible in the release results
  • Docker container image contains the compatible version of MediaWiki software

Note we: say federated properties is out of scope for now

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2020, 7:18 AM
Samantha_Alipio_WMDE triaged this task as High priority.Nov 11 2020, 4:26 PM
WMDE-leszek updated the task description. (Show Details)Nov 11 2020, 6:48 PM
WMDE-leszek updated the task description. (Show Details)
Tarrow updated the task description. (Show Details)Nov 19 2020, 10:21 AM
Samantha_Alipio_WMDE raised the priority of this task from High to Needs Triage.Dec 15 2020, 10:16 AM
Samantha_Alipio_WMDE triaged this task as High priority.Jan 5 2021, 10:11 AM
Tarrow updated the task description. (Show Details)Jan 20 2021, 1:27 PM
Tarrow updated the task description. (Show Details)
WMDE-leszek closed this task as Resolved.Mon, Feb 1, 8:47 AM
WMDE-leszek claimed this task.